javax.security.auth.message

## Interface ServerAuth

- All Known Subinterfaces:
    ServerAuthContext, ServerAuthModule

      public interface ServerAuth

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanSubject(MessageInfo messageInfo, javax.security.auth.Subject subject)`
    `AuthStatus` | `secureResponse(MessageInfo messageInfo, javax.security.auth.Subject serviceSubject)`
    `AuthStatus` | `validateRequest(MessageInfo messageInfo, javax.security.auth.Subject clientSubject, javax.security.auth.Subject serviceSubject)`

- - ### Method Detail

    - #### validateRequest

          AuthStatus validateRequest(MessageInfo messageInfo,
                                     javax.security.auth.Subject clientSubject,
                                     javax.security.auth.Subject serviceSubject)
                              throws AuthException

      Throws:
        `AuthException`

    - #### secureResponse

          AuthStatus secureResponse(MessageInfo messageInfo,
                                    javax.security.auth.Subject serviceSubject)
                             throws AuthException

      Throws:
        `AuthException`

    - #### cleanSubject

          void cleanSubject(MessageInfo messageInfo,
                            javax.security.auth.Subject subject)
                     throws AuthException

      Throws:
        `AuthException`

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.